GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::index::strtree::ItemBoundable Class Reference

Boundable wrapper for a non-Boundable spatial object. Used internally by AbstractSTRtree. More...

`#include <ItemBoundable.h>`

Inheritance diagram for geos::index::strtree::ItemBoundable:

## Public Member Functions
| ItemBoundable (const void *newBounds, void *newItem)
const void * | getBounds () const
void * | getItem () const

## Detailed Description

Boundable wrapper for a non-Boundable spatial object. Used internally by AbstractSTRtree.

Todo:
  TODO: It's unclear who takes ownership of passed newBounds and newItem objects.

## Member Function Documentation

const void* geos::index::strtree::ItemBoundable::getBounds | ( |  | ) | const
| virtual

Returns a representation of space that encloses this Boundable, preferably not much bigger than this Boundable's boundary yet fast to test for intersection with the bounds of other Boundables.

The class of object returned depends on the subclass of AbstractSTRtree.

Returns
  an Envelope (for STRtrees), an Interval (for SIRtrees), or other object (for other subclasses of AbstractSTRtree)

See Also
  AbstractSTRtree::IntersectsOp

Implements geos::index::strtree::Boundable.

The documentation for this class was generated from the following file:

- ItemBoundable.h